%define oname	Solaar

Name:		solaar
Version:	0.8.8.1
Release:	%mkrel 2
Summary:	Device manager for Logitech Unifying Receiver
Summary(fr_FR):	Gestionnaire de périphériques pour les récepteurs Logitech Unifying
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://pwr.github.io/Solaar/
# wget https://github.com/pwr/%%{oname}/archive/%%{version}.tar.gz -O %%{name}-%%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch

Requires:	pyudev
Requires:	python-gtk
Requires:	python-gobject

%description
Solaar is a Linux device manager for Logitech's Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for each
device, and also pair/unpair supported devices with the receiver.

%description -l fr_FR
Solaar est un gestionnaire de périphérique Linux pour les récepteurs 
"Unifying" des périphériques Logitech.
Il est capable d'appairer/désapparier des appareils au récepteur, et
pour la plupart des appareils lire l'état de la batterie.

Il est disponible sous deux formes, la ligne de commande et l'interface 
graphique. 
Les deux sont en mesure d'énumérer les appareils associés à un récepteur 
Unifying, de montrer les informations détaillées pour chaque appareil, 
et également d'appairer/désapparier des dispositifs pris en charge 
avec le récepteur.

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d %{buildroot}%{_iconsdir}/hicolor/128x128/apps/ %{buildroot}%{_datadir}/pixmaps/
cp rules.d/99-logitech-unifying-receiver.rules %{buildroot}%{_sysconfdir}/udev/rules.d/69-logitech-unifying-receiver.rules
sed -i 's/GROUP="plugdev", MODE="0660"/TAG+="uaccess"/' %{buildroot}%{_sysconfdir}/udev/rules.d/69-logitech-unifying-receiver.rules
cp %{buildroot}%{_datadir}/%{name}/icons/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/128x128/apps/
cp %{buildroot}%{_datadir}/%{name}/icons/%{name}.png %{buildroot}%{_datadir}/pixmaps/

%files
%doc COPYRIGHT ChangeLog COPYING share/README docs
%dir %{_datadir}/%{name}/
%dir %{python_sitelib}/*
%{_bindir}/%{name}*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%{_iconsdir}/*/*/*/%{name}.png
%{_iconsdir}/%{name}.png
%{python_sitelib}/%{name}-%{version}-py2.7.egg-info
%{python_sitelib}/*/*
%config(noreplace) %{_sysconfdir}/udev/rules.d/69-logitech-unifying-receiver.rules


%changelog

* Mon Jun 24 2013 david.david (MLO Team) <david.david> 0.8.8.1-2.mga2
+ Revision: 2
- remove to open desktop file entry as root (solaar *must not* be used as root!)(mga#9987)
- fix the "non access to /dev/hidraw{0,1}"

	+ dams <dams>
	  + Revision: 441376
	  - use TAG+="uaccess" instead of non existing/used user group
	  - rename udev.rules to be done before 73

* Sat May 25 2013 david.david (MLO Team) <david.david> 0.8.8.1-1.mga2
+ Revision: 1
- minor change to source package
- fix to open desktop entry as root
- new version: 0.8.8.1

	* Improved support for some devices: M510, K800, Performance MX.
	* Improved battery support for some HID++ 1.0 devices.
	* Properly handle device loss on computer sleep/wake.
	* Better handling of receiver adding and removal at runtime.
	* Removed a few more unhelpful notifications.
	* Incipient support for multiple connected receivers.
	* More Python 3 fixes.
	
* Thu May 09 2013 david.david (MLO Team) <david.david> 0.8.8-1.mga2
+ Revision: 1
- fix icons path
- new version: 0.8.8

	* Improved support for some devices: M510, K800, Performance MX.
	* Improved battery support for some HID++ 1.0 devices.
	* Properly handle device loss on computer sleep/wake.
	* Better handling of receiver adding and removal at runtime.
	* Removed a few more unhelpful notifications.
	* Incipient support for multiple connected receivers.
	* More Python 3 fixes.

* Wed May 08 2013 david.david (MLO Team) <david.david> 0.8.7-2.mga2
+ Rebuild package for Mageia 2 (Core)
- version: 0.8.7
- correcting line %%Source
- corecting "spec" file 
- add french language in %%description and %%Summary
- update rpm Group
- use /etc/udev/rules.d (for Mageia 2)

* Tue May 07 2013 Olivier Delaune <olivier.delaune@wanadoo.fr> 0.8.7-1.mga2
- Initial version
